createNetworkAcl

Prev Next

Available in VPC

Create a network ACL in the VPC environment.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpc/v2/createNetworkAcl
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all VPC APIs, see VPC request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code where you want to create a network ACL
vpcNo String Required Number of the VPC where you want to create a network ACL
networkAclName String Optional Name of the network ACL to create
  • Granted automatically by NAVER Cloud Platform (default).
  • Enter 3-30 characters, including letters, numbers, and special character "-".
  • The string must begin with an English letter and end with an English letter or number.
networkAclDescription String Optional Description of the network ACL (byte)
  • 0-1000
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/createNetworkAcl
?regionCode=KR
&vpcNo=***04
&networkAclName=test-***' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See NetworkAclList for the response body.

Response status codes

For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.

Response example

The response example is as follows:

<createNetworkAclResponse>
  <requestId>2828ed65-e3ad-48ef-ac80-ca2e31c33544</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <networkAclList>
    <networkAcl>
      <networkAclNo>***31</networkAclNo>
      <networkAclName>test-***</networkAclName>
      <vpcNo>***04</vpcNo>
      <networkAclStatus>
        <code>RUN</code>
        <codeName>run</codeName>
      </networkAclStatus>
      <networkAclDescription></networkAclDescription>
      <createDate>2020-07-31T16:38:52+0900</createDate>
      <isDefault>false</isDefault>
    </networkAcl>
  </networkAclList>
</createNetworkAclResponse>